Package com.pixelmed.test

# Class TestCleanerReceiveAndClean.ExpectedResult

java.lang.Object
com.pixelmed.test.TestCleanerReceiveAndClean.ExpectedResult

Enclosing class:
  TestCleanerReceiveAndClean

protected class TestCleanerReceiveAndClean.ExpectedResult extends Object

## Constructor Summary

Constructors
Constructor
Description
`ExpectedResult(AttributeTag tag, boolean handleAsUID, boolean cleaned, String originalValue, String cleanedValueIfCleaned)`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkIsAsExpected(AttributeList list)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpectedResult

public ExpectedResult(AttributeTag tag, boolean handleAsUID, boolean cleaned, String originalValue, String cleanedValueIfCleaned)

## Method Details

### checkIsAsExpected

public void checkIsAsExpected(AttributeList list)